#!/bin/sh
# Service menu for PDF tools : script to remove automatically

# Copyright (C) 2011 Jonathan Kolberg <bulldog98@freenet.de>
#
# This file is part of PDFktools.
# PDFktools was created by Sylvain Vidal < garion @ mailoo.org >
#
# PDFktools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PDFktools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

LOCATION="$(dirname $0)"

case "$(whoami)" in
    'root') sh $LOCATION/uninstall_as_root.sh ;;
    *) if [ -x /usr/bin/kdesu ]; then
           kdesu -c "sh $LOCATION/uninstall_as_root.sh"
       elif [ -x /usr/bin/kdesudo ]; then
           kdesudo -c "sh $LOCATION/uninstall_as_root.sh"
       else
           kdialog --caption PDFktools --icon application-pdf --error "/usr/bin/kdesu or /usr/bin/kdesudo not found."
       fi ;;
esac
